All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata.lookup.actions
Class XmlUsersAction

    com.sas.services.information.metadata.lookup.actions.XmlUsersAction

All Implemented Interfaces:
  ActionInterface

Deprecated.

    @Deprecated
    public class XmlUsersAction

Field Summary

Fields inherited from class com.sas.services.information.metadata.lookup.actions.AbstractAction
`user`

Fields inherited from interface com.sas.services.information.metadata.lookup.actions.ActionInterface
`MAP_KEY, NEW_KEY, OLD_KEY`

Constructor Summary
`XmlUsersAction()` Deprecated.

Method Summary
`protected void` | `_add(java.lang.String old92, java.lang.String new92)` Deprecated.
`protected void` | `_initialize(org.w3c.dom.Document document)` Deprecated.
`protected LookupResultsInterface` | `_lookup(java.lang.String old92)` Deprecated.
`org.w3c.dom.Element` | `getDomElement(org.w3c.dom.Document document)` Deprecated.

Methods inherited from class com.sas.services.information.metadata.lookup.actions.AbstractAction
`add, add, initialize, lookup, lookup`

Constructor Detail

### XmlUsersAction

    public XmlUsersAction()

  Deprecated.

Method Detail

### _add

    protected void _add(java.lang.String old92,
                        java.lang.String new92)

  Deprecated.
  Specified by:
    `_add` in class `AbstractAction`

### _initialize

    protected void _initialize(org.w3c.dom.Document document)

  Deprecated.
  Specified by:
    `_initialize` in class `AbstractAction`

### _lookup

    protected LookupResultsInterface _lookup(java.lang.String old92)

  Deprecated.
  Specified by:
    `_lookup` in class `AbstractAction`

### getDomElement

    public org.w3c.dom.Element getDomElement(org.w3c.dom.Document document)

  Deprecated.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.